Bug 190262 - [NEW PORT] pear/pecl-mosquitto: Extension for libmosquitto
Summary: [NEW PORT] pear/pecl-mosquitto: Extension for libmosquitto
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-26 13:10 UTC by Gasol Wu
Modified: 2014-05-26 17:20 UTC (History)
0 users

See Also:


Attachments
pecl-mosquitto-0.2.2.shar (1.58 KB, text/plain)
2014-05-26 13:10 UTC, Gasol Wu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gasol Wu 2014-05-26 13:10:00 UTC
Mosquitto provides support for the MQTT protocol, including publishing,
subscribing, and an event loop.

WWW: http://pecl.php.net/package/Mosquitto

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: new)
Comment 1 Edwin Groothuis freebsd_committer 2014-05-26 13:10:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Po-Chuan Hsieh freebsd_committer 2014-05-26 14:58:13 UTC
State Changed
From-To: open->feedback

We do not have pear/*. Which category do you want for this port?
Comment 3 Gasol Wu 2014-05-26 16:30:16 UTC
It's mistake, The category should be the same as 'net/mosquitto'.

On Mon, May 26, 2014 at 9:58 PM,  <sunpoet@freebsd.org> wrote:
> Synopsis: [NEW PORT] pear/pecl-mosquitto: Extension for libmosquitto
>
> State-Changed-From-To: open->feedback
> State-Changed-By: sunpoet
> State-Changed-When: Mon May 26 13:58:13 UTC 2014
> State-Changed-Why:
> We do not have pear/*. Which category do you want for this port?
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=190262
Comment 4 dfilter service freebsd_committer 2014-05-26 17:15:39 UTC
Author: sunpoet
Date: Mon May 26 16:15:33 2014
New Revision: 355407
URL: http://svnweb.freebsd.org/changeset/ports/355407
QAT: https://qat.redports.org/buildarchive/r355407/

Log:
  - Add pecl-mosquitto 0.2.2
  
  Mosquitto provides support for the MQTT protocol, including publishing,
  subscribing, and an event loop.
  
  WWW: http://pecl.php.net/package/Mosquitto
  
  PR:		ports/190262
  Submitted by:	Gasol Wu <gasol.wu@gmail.com>

Added:
  head/net/pecl-mosquitto/
  head/net/pecl-mosquitto/Makefile   (contents, props changed)
  head/net/pecl-mosquitto/distinfo   (contents, props changed)
  head/net/pecl-mosquitto/pkg-descr   (contents, props changed)
Modified:
  head/net/Makefile

Modified: head/net/Makefile
==============================================================================
--- head/net/Makefile	Mon May 26 16:15:27 2014	(r355406)
+++ head/net/Makefile	Mon May 26 16:15:33 2014	(r355407)
@@ -832,6 +832,7 @@
     SUBDIR += pecl-cvsclient
     SUBDIR += pecl-geoip
     SUBDIR += pecl-gupnp
+    SUBDIR += pecl-mosquitto
     SUBDIR += pecl-oauth
     SUBDIR += pecl-radius
     SUBDIR += pecl-yaz

Added: head/net/pecl-mosquitto/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/pecl-mosquitto/Makefile	Mon May 26 16:15:33 2014	(r355407)
@@ -0,0 +1,23 @@
+# Created by: Gasol Wu <gasol.wu@gmail.com>
+# $FreeBSD$
+
+PORTNAME=	mosquitto
+PORTVERSION=	0.2.2
+CATEGORIES=	net pear
+MASTER_SITES=	http://pecl.php.net/get/
+PKGNAMEPREFIX=	pecl-
+DISTNAME=	Mosquitto-${PORTVERSION}
+DIST_SUBDIR=	PECL
+
+MAINTAINER=	gasol.wu@gmail.com
+COMMENT=	Extension for libmosquitto
+
+LICENSE=	BSD3CLAUSE
+
+BUILD_DEPENDS=	mosquitto>=0:${PORTSDIR}/net/mosquitto
+
+USE_PHP=	yes
+USE_PHPEXT=	yes
+USES=		tar:tgz
+
+.include <bsd.port.mk>

Added: head/net/pecl-mosquitto/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/pecl-mosquitto/distinfo	Mon May 26 16:15:33 2014	(r355407)
@@ -0,0 +1,2 @@
+SHA256 (PECL/Mosquitto-0.2.2.tgz) = e9baa3af1d9a62f8fa1b76ffffbd13fffe7b65e0122130fb389915269543915e
+SIZE (PECL/Mosquitto-0.2.2.tgz) = 16018

Added: head/net/pecl-mosquitto/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/pecl-mosquitto/pkg-descr	Mon May 26 16:15:33 2014	(r355407)
@@ -0,0 +1,4 @@
+Mosquitto provides support for the MQTT protocol, including publishing,
+subscribing, and an event loop.
+
+WWW: http://pecl.php.net/package/Mosquitto
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Po-Chuan Hsieh freebsd_committer 2014-05-26 17:16:19 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!